Bug 27669 - [chromium] Default UI controls for <video> has rendering problems
Summary: [chromium] Default UI controls for <video> has rendering problems
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-24 17:04 PDT by Hin-Chung Lam
Modified: 2009-07-29 02:08 PDT (History)
4 users (show)

See Also:


Attachments
patch (1.42 KB, patch)
2009-07-24 17:49 PDT, Hin-Chung Lam
no flags Details | Formatted Diff | Diff
patch (1.42 KB, patch)
2009-07-24 17:50 PDT, Hin-Chung Lam
levin: review-
Details | Formatted Diff | Diff
patch (1.42 KB, patch)
2009-07-27 13:06 PDT, Hin-Chung Lam
no flags Details | Formatted Diff | Diff
patch (1.42 KB, patch)
2009-07-27 13:09 PDT, Hin-Chung Lam
levin: review+
Details | Formatted Diff | Diff
patch (2.27 KB, application/octet-stream)
2009-07-27 18:20 PDT, Hin-Chung Lam
no flags Details
patch (2.27 KB, patch)
2009-07-27 18:21 PDT, Hin-Chung Lam
no flags Details | Formatted Diff | Diff
patch (2.26 KB, patch)
2009-07-27 18:33 PDT, Hin-Chung Lam
levin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hin-Chung Lam 2009-07-24 17:04:17 PDT
There are several problems about the default UI controls of <video> in Chromium port:

1. If <video> is used inside MediaDocument to play an audio file, the controls is 1 pixel tall.
2. A tag like <audio src="something" controls></audio> would hide all the time digits.
3. When playing a movie/audio more than an hour long, the hour digit is missing.
Comment 1 Hin-Chung Lam 2009-07-24 17:49:22 PDT
Created attachment 33479 [details]
patch
Comment 2 Hin-Chung Lam 2009-07-24 17:50:27 PDT
Created attachment 33480 [details]
patch
Comment 3 Hin-Chung Lam 2009-07-24 17:54:35 PDT
dglazkov: This is a css change that will only affect the chromium port. It will be great if you can review it. Thanks!
Comment 4 David Levin 2009-07-27 11:56:54 PDT
Comment on attachment 33480 [details]
patch

> Index: WebCore/ChangeLog
> @@ -1,3 +1,23 @@
> +'

Please get rid of this.

> +2009-07-24  Alpha Lam  <hclam@google.com>
> +
> +        Reviewed by NOBODY (OOPS!).
> +
> +        [chromium] Default UI controls for <video> has rendering problems
> +        https://bugs.webkit.org/show_bug.cgi?id=27669
> +
> +        Fixes the bug that <video> in MediaDocument is 1 pixel tall if
> +        it is playing an audio file by changing the style to be 16px

It looks like you made it 32px.

> +
> +        There is no layout test provided because this only affects the
> +        chromium port.

Couldn't there still could be a layout test (with different results for each platform: OSX, Chromium, etc.).
Comment 5 Hin-Chung Lam 2009-07-27 13:06:17 PDT
Created attachment 33563 [details]
patch
Comment 6 Hin-Chung Lam 2009-07-27 13:09:16 PDT
Created attachment 33564 [details]
patch
Comment 7 David Levin 2009-07-27 13:17:01 PDT
Comment on attachment 33564 [details]
patch

> Index: WebCore/ChangeLog
> +        There is no new tests provided because this is already covered
> +        by existing tests.

Minor nit: There are
Comment 8 Hin-Chung Lam 2009-07-27 18:20:59 PDT
Created attachment 33587 [details]
patch

The last one was made obsolete because this change includes on more fix and should be done together.
Comment 9 Hin-Chung Lam 2009-07-27 18:21:35 PDT
Created attachment 33588 [details]
patch
Comment 10 Hin-Chung Lam 2009-07-27 18:33:13 PDT
Created attachment 33589 [details]
patch
Comment 11 David Levin 2009-07-28 14:57:53 PDT
Committed as http://trac.webkit.org/changeset/46501
Comment 12 Hin-Chung Lam 2009-07-29 02:08:11 PDT
Another problem is found that when <video> is used in a MediaDocuemnt, the media controls bar overlaps with the video by 16 pixels.